<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:gl-plt="http://www.xbrl.org/int/gl/plt/2010-04-16" xmlns:gl-cor="http://www.xbrl.org/int/gl/cor/2006-10-25" xmlns:gl-bus="http://www.xbrl.org/int/gl/bus/2006-10-25" xmlns:gl-muc="http://www.xbrl.org/int/gl/muc/2006-10-25" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:xades="http://uri.etsi.org/01903/v1.3.2#" xmlns:edefter="http://www.edefter.gov.tr" xmlns:defterek="http://www.edefter.gov.tr/ek" version="2.0">
  <!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" /><xsl:variable name="document-uri"><xsl:value-of select="document-uri(/)" /></xsl:variable>

<!--PHASES-->


<!--PROLOG-->
<xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" method="xml" omit-xml-declaration="no" standalone="yes" indent="yes" />

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()" /><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])" /><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding" /><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">@<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA SETUP-->
<xsl:template match="/"><svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" title="Berat dokümanlarını kontrol etmek için gerekli olan schematron kuralları" schemaVersion=""><xsl:comment><xsl:value-of select="$archiveDirParameter" />   
		 <xsl:value-of select="$archiveNameParameter" />  
		 <xsl:value-of select="$fileNameParameter" />  
		 <xsl:value-of select="$fileDirParameter" /></xsl:comment><svrl:ns-prefix-in-attribute-values uri="http://www.xbrl.org/int/gl/plt/2010-04-16" prefix="gl-plt" /><svrl:ns-prefix-in-attribute-values uri="http://www.xbrl.org/int/gl/cor/2006-10-25" prefix="gl-cor" /><svrl:ns-prefix-in-attribute-values uri="http://www.xbrl.org/int/gl/bus/2006-10-25" prefix="gl-bus" /><svrl:ns-prefix-in-attribute-values uri="http://www.xbrl.org/int/gl/muc/2006-10-25" prefix="gl-muc" /><svrl:ns-prefix-in-attribute-values uri="http://www.xbrl.org/2003/instance" prefix="xbrli" /><svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/2000/09/xmldsig#" prefix="ds" /><svrl:ns-prefix-in-attribute-values uri="http://uri.etsi.org/01903/v1.3.2#" prefix="xades" /><svrl:ns-prefix-in-attribute-values uri="http://www.edefter.gov.tr" prefix="edefter" /><svrl:ns-prefix-in-attribute-values uri="http://www.edefter.gov.tr/ek" prefix="defterek" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">kok</xsl:attribute><xsl:attribute name="name">kok</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M18" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entity</xsl:attribute><xsl:attribute name="name">entity</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M19" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">berat</xsl:attribute><xsl:attribute name="name">berat</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M20" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">signature</xsl:attribute><xsl:attribute name="name">signature</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M21" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">xbrl</xsl:attribute><xsl:attribute name="name">xbrl</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M22" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">measure</xsl:attribute><xsl:attribute name="name">measure</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M23" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">accountingentries</xsl:attribute><xsl:attribute name="name">accountingentries</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M24" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entryHeader</xsl:attribute><xsl:attribute name="name">entryHeader</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M25" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entryDetail</xsl:attribute><xsl:attribute name="name">entryDetail</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M26" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entryHeader</xsl:attribute><xsl:attribute name="name">entryHeader</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M27" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entryDetail</xsl:attribute><xsl:attribute name="name">entryDetail</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M28" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entryDetail</xsl:attribute><xsl:attribute name="name">entryDetail</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M29" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">documentinfo</xsl:attribute><xsl:attribute name="name">documentinfo</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M30" /><svrl:active-pattern><xsl:attribute name="document"><xsl:value-of select="document-uri(/)" /></xsl:attribute><xsl:attribute name="id">entityinformation</xsl:attribute><xsl:attribute name="name">entityinformation</xsl:attribute><xsl:apply-templates /></svrl:active-pattern><xsl:apply-templates select="/" mode="M31" /></svrl:schematron-output></xsl:template>

<!--SCHEMATRON PATTERNS-->
<svrl:text xmlns:svrl="http://purl.oclc.org/dsdl/svrl">Berat dokümanlarını kontrol etmek için gerekli olan schematron kuralları</svrl:text><xsl:param name="vknTckn" select="/edefter:berat/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier" /><xsl:param name="beratTipi" select="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-cor:entriesType" /><xsl:param name="periodCoveredStart" select="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-cor:periodCoveredStart" /><xsl:param name="donemYil" select="substring($periodCoveredStart,1,4)" /><xsl:param name="donemAy" select="substring($periodCoveredStart,6,2)" /><xsl:param name="donem" select="number(concat($donemYil,$donemAy))" /><xsl:param name="dosyaAdi" select="base-uri()" /><xsl:param name="vergiDetaysizMi" select="/edefter:berat/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment/gl-cor:identifierAuthorityCode" />

<!--PATTERN kok-->


	<!--RULE -->
<xsl:template match="*" priority="1001" mode="M18"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(@decimals) or  @decimals = 'INF'" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@decimals) or @decimals = 'INF'"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Belge içerisindeki 'decimals' nitelikleri 'INF' değerini almalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M18" /></xsl:template>

	<!--RULE -->
<xsl:template match="/" priority="1000" mode="M18"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="edefter:berat" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="edefter:berat"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Berat dokümanı edefter:berat ana elemanı ile başlamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M18" /></xsl:template><xsl:template match="text()" priority="-1" mode="M18" /><xsl:template match="@*|node()" priority="-2" mode="M18"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M18" /></xsl:template>

<!--PATTERN entity-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/xbrli:context/xbrli:entity" priority="1000" mode="M19"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/xbrli:context/xbrli:entity" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="$beratTipi='journal' or not(xbrli:segment/gl-bus:numberOfEntries)" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$beratTipi='journal' or not(xbrli:segment/gl-bus:numberOfEntries)"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> xbrli:segment/gl-bus:numberOfEntries elemanı sadece yevmiye beratında bulunabilir.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not($beratTipi='journal') or xbrli:segment/gl-bus:numberOfEntries" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($beratTipi='journal') or xbrli:segment/gl-bus:numberOfEntries"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> Yevmiye beratında xbrli:segment/gl-bus:numberOfEntries zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="xbrli:segment/gl-cor:uniqueID" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="xbrli:segment/gl-cor:uniqueID"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> xbrli:segment/gl-cor:uniqueID zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:segment/gl-cor:uniqueID) or matches(xbrli:segment/gl-cor:uniqueID,'^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$')" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(xbrli:segment/gl-cor:uniqueID) or matches(xbrli:segment/gl-cor:uniqueID,'^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$')"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xbrli:segment/gl-cor:uniqueID elemanı UUID formatında olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:apply-templates select="*|comment()|processing-instruction()" mode="M19" /></xsl:template><xsl:template match="text()" priority="-1" mode="M19" /><xsl:template match="@*|node()" priority="-2" mode="M19"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M19" /></xsl:template>

<!--PATTERN berat-->


	<!--RULE -->
<xsl:template match="/edefter:berat" priority="1000" mode="M20"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="ds:SignatureValue" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ds:SignatureValue"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:SignatureValue zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(extensions/extension/defterek:binaryObject) = 0 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(extensions/extension/defterek:binaryObject) = 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>defterek:binaryObject elemanı sadece yevmiye defterinde bulunabilir.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M20" /></xsl:template><xsl:template match="text()" priority="-1" mode="M20" /><xsl:template match="@*|node()" priority="-2" mode="M20"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M20" /></xsl:template>

<!--PATTERN signature-->


	<!--RULE -->
<xsl:template match="/edefter:berat/ds:Signature" priority="1002" mode="M21"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/ds:Signature" /><xsl:variable name="signatureMethodAlgorithm" select="ds:SignedInfo/ds:SignatureMethod/@Algorithm" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="ds:SignatureValue/@Id" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ds:SignatureValue/@Id"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:SignatureValue elemanı Id niteliğine sahip olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="ds:SignedInfo/ds:Reference/ds:Transforms" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ds:SignedInfo/ds:Reference/ds:Transforms"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:SignedInfo/ds:Reference/ds:Transforms elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="ds:KeyInfo" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ds:KeyInfo"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:KeyInfo elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(ds:KeyInfo) or ds:KeyInfo/ds:X509Data" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(ds:KeyInfo) or ds:KeyInfo/ds:X509Data"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:KeyInfo elemanı içerisindeki ds:X509Data elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="ds:Object" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ds:Object"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:Object elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(ds:Object) or ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningTime" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(ds:Object) or ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningTime"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xades:SigningTime elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(ds:Object) or ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(ds:Object) or ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xades:SigningCertificate elemanı zorunlu bir elemandır</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(ds:SignedInfo/ds:Reference[@URI = '']) = 1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(ds:SignedInfo/ds:Reference[@URI = '']) = 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:SignedInfo elamanı içerisinde URI niteliği boşluğa("") eşit olan sadece bir tane ds:Reference elemanının bulunmaldır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(ends-with($signatureMethodAlgorithm,'sha1'))" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(ends-with($signatureMethodAlgorithm,'sha1'))"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>İmzalama işleminde kullanılacak özet(hash) algoritması sha1 olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M21" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/ds:Signature/ds:KeyInfo/ds:X509Data" priority="1001" mode="M21"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/ds:Signature/ds:KeyInfo/ds:X509Data" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="ds:X509Certificate" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ds:X509Certificate"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>ds:X509Data elemanı içerisindeki ds:X509Certificate elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M21" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509SubjectName" priority="1000" mode="M21"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509SubjectName" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) != 0 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(.)) != 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> ds:X509SubjectName elemanının değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M21" /></xsl:template><xsl:template match="text()" priority="-1" mode="M21" /><xsl:template match="@*|node()" priority="-2" mode="M21"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M21" /></xsl:template>

<!--PATTERN xbrl-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl" priority="1001" mode="M22"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context) = 1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(xbrli:context) = 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xbrli:context zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:unit) &gt;= 1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(xbrli:unit) &gt;= 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xbrli:unit zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(gl-cor:accountingEntries) = 1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(gl-cor:accountingEntries) = 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:accountingEntries zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:unit/xbrli:measure) &gt;= 1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(xbrli:unit/xbrli:measure) &gt;= 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xbrli:measure zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M22" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier" priority="1000" mode="M22"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="matches(normalize-space(.) , '^[0-9]{10,11}$')" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches(normalize-space(.) , '^[0-9]{10,11}$')"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xbrli:identifier elemanına 10 haneli vergi kimlik numarası ve ya 11 haneli TC kimlik numarası yazılmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M22" /></xsl:template><xsl:template match="text()" priority="-1" mode="M22" /><xsl:template match="@*|node()" priority="-2" mode="M22"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M22" /></xsl:template>

<!--PATTERN measure-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/xbrli:unit/xbrli:measure" priority="1000" mode="M23"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/xbrli:unit/xbrli:measure" /><xsl:variable name="currency" select="substring(.,9)" /><xsl:variable name="currencyCodeList" select="',AED,AFN,ALL,AMD,ANG,AOA,ARS,AUD,AWG,AZN,BAM,BBD,BDT,BGN,BHD,BIF,BMD,BND,BOB,BOV,BRL,BSD,BTN,BWP,BYN,BYR,BZD,CAD,CDF,CHE,CHF,CHW,CLF,CLP,CNY,COP,COU,CRC,CUC,CUP,CVE,CZK,DJF,DKK,DOP,DZD,EEK,EGP,ERN,ETB,EUR,FJD,FKP,GBP,GEL,GHS,GIP,GMD,GNF,GTQ,GWP,GYD,HKD,HNL,HRK,HTG,HUF,IDR,ILS,INR,IQD,IRR,ISK,JMD,JOD,JPY,KES,KGS,KHR,KMF,KPW,KRW,KWD,KYD,KZT,LAK,LBP,LKR,LRD,LSL,LTL,LVL,LYD,MAD,MAD,MDL,MGA,MKD,MMK,MNT,MOP,MRO,MUR,MVR,MWK,MXN,MXV,MYR,MZN,NAD,NGN,NIO,NOK,NPR,NZD,OMR,PAB,PEN,PGK,PHP,PKR,PLN,PYG,QAR,RON,RSD,RUB,RWF,SAR,SBD,SCR,SDG,SEK,SGD,SHP,SLL,SOS,SSP,SRD,STD,SVC,SYP,SZL,THB,TJS,TMT,TND,TOP,TRY,TTD,TWD,TZS,UAH,UGX,USD,USN,USS,UYI,UYU,UZS,VEF,VND,VUV,WST,XAF,XAG,XAU,XBA,XBB,XBC,XBD,XCD,XDR,XFU,XOF,XPD,XPF,XPT,XSU,XTS,XUA,XXX,YER,ZAR,ZMK,ZMW,ZWL,'" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="not (starts-with(normalize-space(.),'iso4217:')) or contains($currencyCodeList, concat(',',$currency,','))" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not (starts-with(normalize-space(.),'iso4217:')) or contains($currencyCodeList, concat(',',$currency,','))"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Gecersiz currency degeri: '<xsl:text /><xsl:value-of select="$currency" /><xsl:text />'.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(parent::node()[contains($currencyCodeList, @id)]) &lt;=1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(parent::node()[contains($currencyCodeList, @id)]) &lt;=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>id'si iso4217 multicurrency kodlarından birisi olan en fazla 1 xbrli:unit elemanı olabilir. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(parent::node()[contains($currencyCodeList,@id)]) or  .= concat('iso4217:',parent::node()/@id) " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(parent::node()[contains($currencyCodeList,@id)]) or .= concat('iso4217:',parent::node()/@id)"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>xbrli:measure değeri (<xsl:text /><xsl:value-of select="." /><xsl:text />) hatalıdır. xbrli:unit id'nin değeri <xsl:text /><xsl:value-of select="parent::node()/@id" /><xsl:text /> olduğu için xbrli:measure değeri <xsl:text /><xsl:value-of select="concat('iso4217:',parent::node()/@id)" /><xsl:text /> olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(parent::node()[contains($currencyCodeList, @id)]) or  not(/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-muc:defaultCurrency) or not(.= concat('iso4217:',parent::node()/@id)) or /edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-muc:defaultCurrency=." /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(parent::node()[contains($currencyCodeList, @id)]) or not(/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-muc:defaultCurrency) or not(.= concat('iso4217:',parent::node()/@id)) or /edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-muc:defaultCurrency=."><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> gl-muc:defaultCurrency değeri (<xsl:text /><xsl:value-of select="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo/gl-muc:defaultCurrency" /><xsl:text />) hatalıdır. gl-muc:defaultCurrency elemanı varsa değeri xbrli:measure(<xsl:text /><xsl:value-of select="." /><xsl:text />) ile aynı olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M23" /></xsl:template><xsl:template match="text()" priority="-1" mode="M23" /><xsl:template match="@*|node()" priority="-2" mode="M23"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M23" /></xsl:template>

<!--PATTERN accountingentries-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries" priority="1000" mode="M24"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:documentInfo" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:documentInfo"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:documentInfo zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:entityInformation" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:entityInformation"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:entityInformation zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="($vergiDetaysizMi='VERGI_DETAYSIZ') or count(gl-cor:entryHeader)=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($vergiDetaysizMi='VERGI_DETAYSIZ') or count(gl-cor:entryHeader)=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> Vergi detayını temsil edecek gl-cor:entryHeader elemanı sayısı 1 olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not($vergiDetaysizMi='VERGI_DETAYSIZ') or count(gl-cor:entryHeader)=0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($vergiDetaysizMi='VERGI_DETAYSIZ') or count(gl-cor:entryHeader)=0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Vergi detaysız beratlarda gl-cor:entryHeader elemanı bulunmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M24" /></xsl:template><xsl:template match="text()" priority="-1" mode="M24" /><xsl:template match="@*|node()" priority="-2" mode="M24"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M24" /></xsl:template>

<!--PATTERN entryHeader-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader" priority="1000" mode="M25"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:qualifierEntry" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:qualifierEntry"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:qualifierEntry zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M25" /></xsl:template><xsl:template match="text()" priority="-1" mode="M25" /><xsl:template match="@*|node()" priority="-2" mode="M25"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M25" /></xsl:template>

<!--PATTERN entryDetail-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader/gl-cor:entryDetail[1]" priority="1000" mode="M26"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader/gl-cor:entryDetail[1]" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:lineNumber =1 " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:lineNumber =1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:entryHeader elemanının ilk gl-cor:entryDetail elemanının gl-cor:lineNumber değeri 1 olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M26" /></xsl:template><xsl:template match="text()" priority="-1" mode="M26" /><xsl:template match="@*|node()" priority="-2" mode="M26"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M26" /></xsl:template>

<!--PATTERN entryHeader-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader" priority="1000" mode="M27"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:qualifierEntry='standard'" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:qualifierEntry='standard'"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Dönem içi değişiklikleri temsil eden gl-cor:entryHeader elemanının gl-cor:qualifierEntry değeri standard olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(gl-cor:entryDetail)=10" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(gl-cor:entryDetail)=10"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text> Dönem içi değişiklikleri temsil eden gl-cor:entryDetail elemanı sayısı 10 olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=391 and gl-cor:debitCreditCode='D'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=391 and gl-cor:debitCreditCode='D'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=391, gl-cor:debitCreditCode=D olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=391 and gl-cor:debitCreditCode='C'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=391 and gl-cor:debitCreditCode='C'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=391, gl-cor:debitCreditCode=C olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=191 and gl-cor:debitCreditCode='D'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=191 and gl-cor:debitCreditCode='D'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=191, gl-cor:debitCreditCode=D olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=191 and gl-cor:debitCreditCode='C'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=191 and gl-cor:debitCreditCode='C'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=191, gl-cor:debitCreditCode=C olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=600 and gl-cor:debitCreditCode='D'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=600 and gl-cor:debitCreditCode='D'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=600, gl-cor:debitCreditCode=D olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=600 and gl-cor:debitCreditCode='C'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=600 and gl-cor:debitCreditCode='C'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=600, gl-cor:debitCreditCode=C olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=601 and gl-cor:debitCreditCode='D'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=601 and gl-cor:debitCreditCode='D'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=601, gl-cor:debitCreditCode=D olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=601 and gl-cor:debitCreditCode='C'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=601 and gl-cor:debitCreditCode='C'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=601, gl-cor:debitCreditCode=C olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=602 and gl-cor:debitCreditCode='D'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=602 and gl-cor:debitCreditCode='D'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=602, gl-cor:debitCreditCode=D olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=602 and gl-cor:debitCreditCode='C'])=1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count( gl-cor:entryDetail[gl-cor:account/gl-cor:accountMainID=602 and gl-cor:debitCreditCode='C'])=1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account/gl-cor:accountMainID=602, gl-cor:debitCreditCode=C olan 1 gl-cor:entryDetail elemanı olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M27" /></xsl:template><xsl:template match="text()" priority="-1" mode="M27" /><xsl:template match="@*|node()" priority="-2" mode="M27"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M27" /></xsl:template>

<!--PATTERN entryDetail-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader[gl-cor:qualifierEntry='standard']/gl-cor:entryDetail" priority="1000" mode="M28"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader[gl-cor:qualifierEntry='standard']/gl-cor:entryDetail" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:xbrlInfo/gl-cor:xbrlInclude='period_change' " /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:xbrlInfo/gl-cor:xbrlInclude='period_change'"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Dönem içi değişiklikleri temsil eden gl-cor:entryDetail elemanlarının gl-cor:xbrlInfo/gl-cor:xbrlInclude değeri period_change olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M28" /></xsl:template><xsl:template match="text()" priority="-1" mode="M28" /><xsl:template match="@*|node()" priority="-2" mode="M28"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M28" /></xsl:template>

<!--PATTERN entryDetail-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader/gl-cor:entryDetail" priority="1000" mode="M29"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entryHeader/gl-cor:entryDetail" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:lineNumber" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:lineNumber"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:lineNumber zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(following-sibling::node()) or not(following-sibling::node()/gl-cor:lineNumber) or not(gl-cor:lineNumber) or following-sibling::node()/number(gl-cor:lineNumber) = number(gl-cor:lineNumber) + 1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(following-sibling::node()) or not(following-sibling::node()/gl-cor:lineNumber) or not(gl-cor:lineNumber) or following-sibling::node()/number(gl-cor:lineNumber) = number(gl-cor:lineNumber) + 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:lineNumber müteselsil bir değere sahip olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:account" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:account"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-cor:account) or not(gl-cor:account/gl-cor:accountMainID) or string-length(gl-cor:account/normalize-space(gl-cor:accountMainID)) = 3 or string-length(gl-cor:account/normalize-space(gl-cor:accountMainID)) = 4" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-cor:account) or not(gl-cor:account/gl-cor:accountMainID) or string-length(gl-cor:account/normalize-space(gl-cor:accountMainID)) = 3 or string-length(gl-cor:account/normalize-space(gl-cor:accountMainID)) = 4"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account elemanı içerisinde gl-cor:accountMainID zorunlu bir elemandır ve en az 3 karakter olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-cor:account) or gl-cor:account/gl-cor:accountMainDescription" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-cor:account) or gl-cor:account/gl-cor:accountMainDescription"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:account elemanı içerisinde gl-cor:accountMainDescription zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:amount" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:amount"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:amount zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:debitCreditCode" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:debitCreditCode"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:debitCreditCode zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:xbrlInfo/gl-cor:xbrlInclude" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:xbrlInfo/gl-cor:xbrlInclude"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:xbrlInfo/gl-cor:xbrlInclude elemanı zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:amount &gt;= 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:amount &gt;= 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Vergi detayında hiçbir tutar 0'dan küçük olamaz.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="matches(normalize-space(gl-cor:amount) , '^[0-9]+(\.[0-9]{1,2})?$')" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches(normalize-space(gl-cor:amount) , '^[0-9]+(\.[0-9]{1,2})?$')"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:amount (<xsl:text /><xsl:value-of select="gl-cor:amount" /><xsl:text />) virgülden sonra 2 haneden fazla olamaz.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M29" /></xsl:template><xsl:template match="text()" priority="-1" mode="M29" /><xsl:template match="@*|node()" priority="-2" mode="M29"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M29" /></xsl:template>

<!--PATTERN documentinfo-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo" priority="1000" mode="M30"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:documentInfo" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:entriesType" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:entriesType"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:entriesType zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not ($beratTipi='journal') or ( normalize-space(gl-cor:entriesType) = 'journal')" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not ($beratTipi='journal') or ( normalize-space(gl-cor:entriesType) = 'journal')"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:entriesType elemanı yevmiye defteri beratı için 'journal' değerini almalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not ($beratTipi='ledger') or ( normalize-space(gl-cor:entriesType) = 'ledger')" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not ($beratTipi='ledger') or ( normalize-space(gl-cor:entriesType) = 'ledger')"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:entriesType elemanı kebir defteri beratı için 'ledger' değerini almalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:uniqueID" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:uniqueID"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:uniqueID zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-cor:uniqueID) or not ($beratTipi='journal') or( starts-with(normalize-space(gl-cor:uniqueID),'YEV'))" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-cor:uniqueID) or not ($beratTipi='journal') or( starts-with(normalize-space(gl-cor:uniqueID),'YEV'))"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:uniqueID elemanı yevmiye defteri için 'YEV' değeri ile başlamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-cor:uniqueID) or not ($beratTipi='ledger') or( starts-with(normalize-space(gl-cor:uniqueID),'KEB'))" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-cor:uniqueID) or not ($beratTipi='ledger') or( starts-with(normalize-space(gl-cor:uniqueID),'KEB'))"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:uniqueID elemanı yevmiye defteri için 'KEB' değeri ile başlamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-cor:uniqueID) or string-length(normalize-space(gl-cor:uniqueID)) = 15" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-cor:uniqueID) or string-length(normalize-space(gl-cor:uniqueID)) = 15"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:uniqueID elemanı 15 karakterden oluşmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:creationDate" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:creationDate"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:creationDate zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:periodCoveredStart" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:periodCoveredStart"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:periodCoveredStart zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:periodCoveredEnd" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:periodCoveredEnd"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:periodCoveredEnd zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:periodCoveredEnd &gt;= gl-cor:periodCoveredStart" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:periodCoveredEnd &gt;= gl-cor:periodCoveredStart"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:periodCoveredEnd elemanı gl-cor:periodCoveredStart elemanından büyük veya eşit olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-cor:creationDate &gt;= gl-cor:periodCoveredEnd" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-cor:creationDate &gt;= gl-cor:periodCoveredEnd"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:creationDate elemanı gl-cor:periodCoveredEnd elemanından büyük ve ya eşit olmalıdır. </svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(gl-bus:sourceApplication)) &gt; 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(gl-bus:sourceApplication)) &gt; 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:sourceApplication zorunlu bir elemandır ve değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:variable name="donemYilPrdEnd" select="substring(gl-cor:periodCoveredEnd,1,4)" /><xsl:variable name="donemAyPrdEnd" select="substring(gl-cor:periodCoveredEnd,6,2)" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="$donemYil=$donemYilPrdEnd" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$donemYil=$donemYilPrdEnd"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:periodCoveredStart elemanındaki yıl bilgisi ile periodCoveredEnd elemanındaki yıl bilgisi aynı olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="$donemAy=$donemAyPrdEnd" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$donemAy=$donemAyPrdEnd"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:periodCoveredStart elemanındaki ay bilgisi ile periodCoveredEnd elemanındaki ay bilgisi aynı olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="contains(gl-cor:uniqueID,concat($donemYil,$donemAy))" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(gl-cor:uniqueID,concat($donemYil,$donemAy))"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-cor:uniqueID elemanındaki dönem bilgisi ile gl-cor:periodCoveredStart elemanındaki dönem bilgisi aynı olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M30" /></xsl:template><xsl:template match="text()" priority="-1" mode="M30" /><xsl:template match="@*|node()" priority="-2" mode="M30"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M30" /></xsl:template>

<!--PATTERN entityinformation-->


	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation" priority="1004" mode="M31"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:entityPhoneNumber" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:entityPhoneNumber"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:entityPhoneNumber zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:entityEmailAddressStructure" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:entityEmailAddressStructure"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:entityEmailAddressStructure zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="count(gl-bus:organizationIdentifiers) &gt;= 1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(gl-bus:organizationIdentifiers) &gt;= 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationIdentifiers zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(string-length($vknTckn) = 10) or count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı']) = 1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(string-length($vknTckn) = 10) or count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı']) = 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationDescription değeri 'Kurum Unvanı' olan bir tane gl-bus:organizationIdentifiers elemanı bulunmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(string-length($vknTckn) = 11) or count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı']) = 1" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(string-length($vknTckn) = 11) or count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı']) = 1"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationDescription değeri 'Adı Soyadı' olan bir tane gl-bus:organizationIdentifiers elemanı bulunmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:variable name="countKurumUnvani" select="count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı'])" /><xsl:variable name="countAdiSoyadi" select="count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı'])" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="($countKurumUnvani=1 and not($countAdiSoyadi=1)) or ($countAdiSoyadi=1 and not($countKurumUnvani=1))" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($countKurumUnvani=1 and not($countAdiSoyadi=1)) or ($countAdiSoyadi=1 and not($countKurumUnvani=1))"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationDescription değeri 'Kurum Unvanı' veya 'Adı Soyadı' olan yalnızca bir tane gl-bus:organizationIdentifiers elemanı bulunmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı']) = 1) or      string-length(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı']/gl-bus:organizationIdentifier)) &gt;=2" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı']) = 1) or string-length(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Kurum Unvanı']/gl-bus:organizationIdentifier)) &gt;=2"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationDescription değeri 'Kurum Unvanı' olan gl-bus:organizationIdentifiers elemanının  gl-bus:organizationIdentifier eleman değeri en az iki karakter olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı']) = 1) or      string-length(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı']/gl-bus:organizationIdentifier)) &gt;=2" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı']) = 1) or string-length(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Adı Soyadı']/gl-bus:organizationIdentifier)) &gt;=2"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationDescription değeri 'Adı Soyadı' olan gl-bus:organizationIdentifiers elemanının  gl-bus:organizationIdentifier eleman değeri en az iki karakter olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:variable name="countSubeNo" select="count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Şube No'])" /><xsl:variable name="countSubeAdi" select="count(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Şube Adı'])" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="(not($countSubeNo = 1) or $countSubeAdi = 1) and (not($countSubeAdi = 1) or $countSubeNo = 1)" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(not($countSubeNo = 1) or $countSubeAdi = 1) and (not($countSubeAdi = 1) or $countSubeNo = 1)"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Şube no ve şube adı birlikte bulunmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="($countSubeNo &lt; 2) and ($countSubeAdi &lt; 2)" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($countSubeNo &lt; 2) and ($countSubeAdi &lt; 2)"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Şube no veya şube adı birden fazla olamaz.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not($countSubeNo = 1) or matches(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Şube No']/gl-bus:organizationIdentifier) , '^[0-9]{4}$')" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($countSubeNo = 1) or matches(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Şube No']/gl-bus:organizationIdentifier) , '^[0-9]{4}$')"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Şube no 4 haneli sayısal bir değer olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not($countSubeAdi = 1) or string-length(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Şube Adı']/gl-bus:organizationIdentifier)) &gt;= 2" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($countSubeAdi = 1) or string-length(normalize-space(gl-bus:organizationIdentifiers[gl-bus:organizationDescription = 'Şube Adı']/gl-bus:organizationIdentifier)) &gt;= 2"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>Şube adı değeri en az iki karakter olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:organizationAddress" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:organizationAddress"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationAddress zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationBuildingNumber" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationBuildingNumber"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationAddress elemanı içerisindeki gl-bus:organizationBuildingNumber zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressStreet" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressStreet"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationAddress elemanı içerisindeki gl-bus:organizationAddressStreet zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressCity" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressCity"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationAddress elemanı içerisindeki gl-bus:organizationAddressCity zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressZipOrPostalCode" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressZipOrPostalCode"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationAddress' elemanı içerisindeki 'gl-bus:organizationAddressZipOrPostalCode zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressCountry" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(gl-bus:organizationAddress) or gl-bus:organizationAddress/gl-bus:organizationAddressCountry"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:organizationAddress elemanı içerisindeki gl-bus:organizationAddressCountry zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:entityWebSite" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:entityWebSite"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:entityWebSite zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(gl-bus:businessDescription)) &gt; 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(gl-bus:businessDescription)) &gt; 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:businessDescription zorunlu bir elemandır ve değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:fiscalYearStart" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:fiscalYearStart"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:fiscalYearStart zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:fiscalYearEnd" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:fiscalYearEnd"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:fiscalYearEnd zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:fiscalYearEnd &gt; gl-bus:fiscalYearStart" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:fiscalYearEnd &gt; gl-bus:fiscalYearStart"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:fiscalYearEnd elemanı gl-bus:fiscalYearStart elemanından büyük olmalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:accountantInformation" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:accountantInformation"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:accountantInformation zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M31" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:accountantInformation" priority="1003" mode="M31"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:accountantInformation" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(gl-bus:accountantName)) &gt; 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(gl-bus:accountantName)) &gt; 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:accountantInformation elemanı içerisindeki gl-bus:accountantName zorunlu bir elemandır ve değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose>

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(gl-bus:accountantEngagementTypeDescription)) &gt; 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(gl-bus:accountantEngagementTypeDescription)) &gt; 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:accountantInformation elemanı içerisindeki gl-bus:accountantEngagementTypeDescription zorunlu bir elemandır  ve değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M31" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:entityPhoneNumber" priority="1002" mode="M31"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:entityPhoneNumber" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(gl-bus:phoneNumber)) &gt; 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(gl-bus:phoneNumber)) &gt; 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:phoneNumber zorunlu bir elemandır ve değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M31" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:entityEmailAddressStructure" priority="1001" mode="M31"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:entityEmailAddressStructure" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(gl-bus:entityEmailAddress)) &gt; 0" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(normalize-space(gl-bus:entityEmailAddress)) &gt; 0"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:entityEmailAddressStructure elemanı içerisinde gl-bus:entityEmailAddress zorunlu bir elemandır ve  ve değeri boşluk olmamalıdır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M31" /></xsl:template>

	<!--RULE -->
<xsl:template match="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:entityWebSite" priority="1000" mode="M31"><svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/edefter:berat/xbrli:xbrl/gl-cor:accountingEntries/gl-cor:entityInformation/gl-bus:entityWebSite" />

		<!--ASSERT -->
<xsl:choose><xsl:when test="gl-bus:webSiteURL" /><xsl:otherwise><svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="gl-bus:webSiteURL"><xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-select-full-path" /></xsl:attribute><svrl:text>gl-bus:entityWebSite elemanı içerisindeki gl-bus:webSiteURL zorunlu bir elemandır.</svrl:text></svrl:failed-assert></xsl:otherwise></xsl:choose><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M31" /></xsl:template><xsl:template match="text()" priority="-1" mode="M31" /><xsl:template match="@*|node()" priority="-2" mode="M31"><xsl:apply-templates select="*|comment()|processing-instruction()" mode="M31" /></xsl:template></xsl:stylesheet>